## com.lowagie.text.xml
Class XmlPeer

    java.lang.Object
      com.lowagie.text.xml.XmlPeer

Direct Known Subclasses:
  HtmlPeer

    public class XmlPeer

extends java.lang.Object

This interface is implemented by the peer of all the iText objects.

Field Summary
`protected java.util.Properties` `attributeAliases` This is the Map that contains the aliases of the attributes.
`protected java.util.Properties` `attributeValues` This is the Map that contains the default values of the attributes.
`protected java.lang.String` `customTagname` This is the name of the alias.
`protected java.lang.String` `defaultContent` This is String that contains the default content of the attributes.
`protected java.lang.String` `tagname` This is the name of the alias.

Constructor Summary
`XmlPeer(java.lang.String name, java.lang.String alias)` Creates a XmlPeer.

Method Summary
`void` `addAlias(java.lang.String name, java.lang.String alias)` Sets an alias for an attribute.
`void` `addValue(java.lang.String name, java.lang.String value)` Sets a value for an attribute.
`java.lang.String` `getAlias()` Gets the tagname of the peer.
`java.util.Properties` `getAttributes(org.xml.sax.Attributes attrs)` Gets the list of attributes of the peer.
`java.util.Properties` `getDefaultValues()` Returns the default values.
`java.lang.String` `getName(java.lang.String name)` Returns the iText attribute name.
`java.lang.String` `getTag()` Gets the tagname of the peer.
`void` `setContent(java.lang.String content)` Sets the default content.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tagname

    protected java.lang.String tagname

  This is the name of the alias.

### customTagname

    protected java.lang.String customTagname

  This is the name of the alias.

### attributeAliases

    protected java.util.Properties attributeAliases

  This is the Map that contains the aliases of the attributes.

### attributeValues

    protected java.util.Properties attributeValues

  This is the Map that contains the default values of the attributes.

### defaultContent

    protected java.lang.String defaultContent

  This is String that contains the default content of the attributes.

Constructor Detail

### XmlPeer

    public XmlPeer(java.lang.String name,
                   java.lang.String alias)

  Creates a XmlPeer.

  Parameters:
    `name` - the iText name of a tag
    `alias` - the userdefined name of a tag

Method Detail

### getTag

    public java.lang.String getTag()

  Gets the tagname of the peer.

  Returns:
    the iText name of a tag

### getAlias

    public java.lang.String getAlias()

  Gets the tagname of the peer.

  Returns:
    the userdefined tagname

### getAttributes

    public java.util.Properties getAttributes(org.xml.sax.Attributes attrs)

  Gets the list of attributes of the peer.

  Parameters:
    `attrs` - the userdefined set of attributes
  Returns:
    the set of attributes translated to iText attributes

### addAlias

    public void addAlias(java.lang.String name,
                         java.lang.String alias)

  Sets an alias for an attribute.

  Parameters:
    `name` - the iText tagname
    `alias` - the custom tagname

### addValue

    public void addValue(java.lang.String name,
                         java.lang.String value)

  Sets a value for an attribute.

  Parameters:
    `name` - the iText tagname
    `value` - the default value for this tag

### setContent

    public void setContent(java.lang.String content)

  Sets the default content.

  Parameters:
    `content` - the default content

### getName

    public java.lang.String getName(java.lang.String name)

  Returns the iText attribute name.

  Parameters:
    `name` - the custom attribute name
  Returns:
    iText translated attribute name

### getDefaultValues

    public java.util.Properties getDefaultValues()

  Returns the default values.

  Returns:
    A set of default (userdefined) values